import * as $dara from '@darabonba/typescript';
import { ModifyServerlessAuthToMachineResponseBody } from "./ModifyServerlessAuthToMachineResponseBody";
export declare class ModifyServerlessAuthToMachineResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyServerlessAuthToMachineResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
